diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js b/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
index 1e56b66..ff2504c 100755
--- a/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
@@ -677,7 +677,7 @@ var getFolderInfo = function(path, file_type) {
 
   // Display an activity indicator.
   $('.fileinfo').find('span.activity').html(
-    "<img src='{{ url_for('browser.static', filename='css/aciTree/image/load-root.gif') }}'>"
+    "<img src='{{ url_for('browser.static', filename='vendor/aciTree/image/load-root.gif') }}'>"
   );
 
   var post_data = {
diff --git a/web/pgadmin/model/__init__.py b/web/pgadmin/model/__init__.py
index e9d752e..f7db567 100644
--- a/web/pgadmin/model/__init__.py
+++ b/web/pgadmin/model/__init__.py
@@ -124,7 +124,9 @@ class Server(db.Model):
         nullable=False)
     comment = db.Column(db.String(1024), nullable=True)
     discovery_id = db.Column(db.String(128), nullable=True)
-
+    servers = db.relationship('ServerGroup',
+                           backref=db.backref('server', cascade="all, delete-orphan"),
+                           lazy='joined')
 
 class ModulePreference(db.Model):
     """Define a preferences table for any modules."""
